'ICS307-2
'Data (TXD),PB4, Clock (RTS),PB3, Strobe (DTR) PB0

$regfile = "attiny13.dat"
$crystal = 1200000
$hwstack = 8
$swstack = 16
$framesize = 16

Declare Sub Ics307

Ddrb = &B0011011
Portb = 0

Open "comb.2:9600,8,n,1,INVERTED" For Input As #1

Dim B0 As Byte
Dim B1 As Byte
Dim B2 As Byte
Dim B3 As Byte

Readeeprom B1 , 11
Readeeprom B2 , 12
Readeeprom B3 , 13
Ics307

Do
 Get #1 , B0
 If B0 = 65 Then
    Get #1 , B1
    Get #1 , B2
    Get #1 , B3
    Ics307
 End If
 If B0 = 66 Then
    'MSB shifted out first when clock goes high, 8 Bit, 10 s
    Get #1 , B1
    Get #1 , B2
    Get #1 , B3
    Writeeeprom B1 , 11
    Writeeeprom B2 , 12
    Writeeeprom B3 , 13
 End If
Loop

Sub Ics307
    'MSB shifted out first when clock goes high, 8 Bit, 10 s
    Shiftout Portb.4 , Portb.3 , B1 , 1 , 8 , 10
    Shiftout Portb.4 , Portb.3 , B2 , 1 , 8 , 10
    Shiftout Portb.4 , Portb.3 , B3 , 1 , 8 , 10
    Pulseout Portb , 0 , 20
End Sub

End